summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mate-extra/mate-sensors-applet
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mate-extra/mate-sensors-applet')
-rw-r--r--mate-extra/mate-sensors-applet/Manifest1
-rw-r--r--mate-extra/mate-sensors-applet/mate-sensors-applet-1.8.0.ebuild72
-rw-r--r--mate-extra/mate-sensors-applet/metadata.xml8
3 files changed, 81 insertions, 0 deletions
diff --git a/mate-extra/mate-sensors-applet/Manifest b/mate-extra/mate-sensors-applet/Manifest
new file mode 100644
index 00000000000..4089b032aa5
--- /dev/null
+++ b/mate-extra/mate-sensors-applet/Manifest
@@ -0,0 +1 @@
+DIST mate-sensors-applet-1.8.0.tar.xz 352128 SHA256 9bc6f42eae4b866f83d0fa9566e0111fd379dc6cf9dcc020b1fcca1c8a49d410 SHA512 8074900157c0d62b060f273fa975efcfa3808afb9c81c44089c1f255ce95ed34744070f98893d7b6bbb16d076ae7b7ddec391ef46459e06646d2586797df85fc WHIRLPOOL d245ed9cce0a9bd9eed1e3996529227e3fa909ba9dba37975599409783bd7f34ead6ca0d477dbac6d41462c85ba599ecb14f18a80e6ab604a29bfce413289bfe
diff --git a/mate-extra/mate-sensors-applet/mate-sensors-applet-1.8.0.ebuild b/mate-extra/mate-sensors-applet/mate-sensors-applet-1.8.0.ebuild
new file mode 100644
index 00000000000..01d61b1fc2b
--- /dev/null
+++ b/mate-extra/mate-sensors-applet/mate-sensors-applet-1.8.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 eutils versionator
+
+MATE_BRANCH="$(get_version_component_range 1-2)"
+
+SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz"
+DESCRIPTION="MATE panel applet to display readings from hardware sensors"
+HOMEPAGE="http://mate-desktop.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+IUSE="+dbus hddtemp libnotify lm_sensors video_cards_fglrx video_cards_nvidia"
+
+RDEPEND="app-text/rarian:0
+ >=dev-libs/glib-2.26:2
+ >=mate-base/mate-panel-1.8:0
+ >=x11-libs/cairo-1.0.4:0
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.14:2
+ virtual/libintl:0
+ hddtemp? (
+ dbus? (
+ >=dev-libs/dbus-glib-0.80:0
+ >=dev-libs/libatasmart-0.16:0 )
+ !dbus? ( >=app-admin/hddtemp-0.3_beta13:0 ) )
+ libnotify? ( >=x11-libs/libnotify-0.7:0 )
+ lm_sensors? ( sys-apps/lm_sensors:0 )
+ video_cards_fglrx? ( x11-drivers/ati-drivers:* )
+ video_cards_nvidia? ( || (
+ >=x11-drivers/nvidia-drivers-100.14.09:0
+ media-video/nvidia-settings:0
+ ) )"
+
+DEPEND="${RDEPEND}
+ >=app-text/scrollkeeper-dtd-1:1.0
+ app-text/yelp-tools:0
+ dev-util/intltool:*
+ sys-devel/gettext:*
+ virtual/pkgconfig:*"
+
+# Requires libxslt only for use by gnome-doc-utils.
+PDEPEND="hddtemp? ( dbus? ( sys-fs/udisks:0 ) )"
+
+src_configure() {
+ local myconf
+
+ if use hddtemp && use dbus; then
+ myconf="${myconf} $(use_enable dbus udisks)"
+ else
+ myconf="${myconf} --disable-udisks"
+ fi
+
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable libnotify) \
+ $(use_with lm_sensors libsensors) \
+ $(use_with video_cards_fglrx aticonfig) \
+ $(use_with video_cards_nvidia nvidia) \
+ ${myconf}
+}
+
+DOCS="AUTHORS ChangeLog NEWS README TODO"
diff --git a/mate-extra/mate-sensors-applet/metadata.xml b/mate-extra/mate-sensors-applet/metadata.xml
new file mode 100644
index 00000000000..5c977d7ea18
--- /dev/null
+++ b/mate-extra/mate-sensors-applet/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>mate</herd>
+ <upstream>
+ <remote-id type="github">mate-desktop/mate-sensors-applet</remote-id>
+ </upstream>
+</pkgmetadata>